Do you want to choose Non Thread Safe or Thread Safe when choosing php version under windows?

  question

In the process of development and debugging, I encountered a web page that kept reporting Stack Overflow. I’ve tried all kinds of methods, but I can’t. It occurred to me that it might not be appropriate to use Thread Safe in my current environment. May I ask what should be the basis for choosing ts or nts version?

网上有人说:如果是使用ISAPI的方式来运行PHP就必须用Thread Safe(线程安全)的版本;而用FastCGI模式运行PHP的话就没有必要用线程安全检查了,用None Thread Safe(NTS,非线程安全)的版本能够更好的提高效率。 个人感觉这个很不靠谱 我现在用的ts版本的php,而看到Configure Command:cscript /nologo configure.js "–enable-snapshot-build" "–disable-isapi" "–enable-debug-pack" "–disable-isapi"

Please explain.

Yes, starting with php 5.2.1, ISAPI requires thread safety checks. However, the original intention of dividing these two versions is to solve the non-thread safety problem of some plug-ins, so I estimate that if you don’t use any special plug-ins, they will appear.stack overflowIt’s still a matter of procedure. You can paste the code.